Bug 1660 - dracut was fixed [UPDATE REQUEST]
: dracut was fixed [UPDATE REQUEST]
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-14 18:12 MSK by Alexander Burmashev
Modified: 2013-02-22 13:39 MSK (History)
3 users (show)

See Also:
RPM Package: dracut
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Burmashev 2013-02-14 18:12:29 MSK
dracut was fixed
Comment 1 Alexander Burmashev 2013-02-14 18:13:35 MSK
Advisory:
dracut was fixed to change the config name from mandriva to ROSA and to enable hostonly initrd. Hostonly initrd may result in a bit faster boot times.

Buildlists:
https://abf.rosalinux.ru/build_lists/945796
https://abf.rosalinux.ru/build_lists/945795
Comment 2 Vladimir Potapov 2013-02-15 15:51:54 MSK
dracut-024-10-rosa2012.1
***************** Advisory ******************
dracut was fixed to change the config name from mandriva to ROSA and to enable hostonly initrd. Hostonly initrd may result in a bit faster boot times.
*********************************************
QA Verified
Comment 3 Postnikov Dmitry 2013-02-21 20:35:07 MSK
dracut update error:
====================
    http://mirror.yandex.ru/rosa/rosa2012.1/repository/x86_64/media/main/updates/dracut-024-10-rosa2012.1.x86_64.rpm
    http://mirror.yandex.ru/rosa/rosa2012.1/repository/x86_64/media/main/updates/plasma-applet-battery-4.9.5-3-rosa2012.1.x86_64.rpm              
    http://mirror.yandex.ru/rosa/rosa2012.1/repository/x86_64/media/main/updates/kickoff-4.9.5-3-rosa2012.1.x86_64.rpm                            
    http://mirror.yandex.ru/rosa/rosa2012.1/repository/x86_64/media/main/updates/lib64cairo2-1.12.14-1-rosa2012.1.x86_64.rpm                      
    http://mirror.yandex.ru/rosa/rosa2012.1/repository/x86_64/media/main/updates/rosa-media-player-1.5.1-7-rosa2012.1.x86_64.rpm                  
устанавливается dracut-024-10-rosa2012.1.x86_64.rpm plasma-applet-battery-4.9.5-3-rosa2012.1.x86_64.rpm kickoff-4.9.5-3-rosa2012.1.x86_64.rpm lib64cairo2-1.12.14-1-rosa2012.1.x86_64.rpm rosa-media-player-1.5.1-7-rosa2012.1.x86_64.rpm из /var/cache/urpmi/rpms
Подготовка...                    ################################################################################################################
    33/37: rosa-media-player     ################################################################################################################
    34/37: kickoff               ################################################################################################################
    35/37: dracut                ################################################################################################################
I: *** Including module: dash ***
I: *** Including module: i18n ***
I: *** Including module: plymouth ***
I: Omitting driver nouveau
I: Omitting driver radeon
I: *** Including module: kernel-modules ***
I: *** Including module: resume ***
I: *** Including module: rootfs-block ***
I: *** Including module: terminfo ***
I: *** Including module: udev-rules ***
I: *** Including module: usrmount ***
I: *** Including module: aufs-mount ***
F: installkernel failed in module aufs-mount
error: %post(dracut-024-10.x86_64) scriptlet failed, exit status 1
    36/37: lib64cairo2           ################################################################################################################
    37/37: plasma-applet-battery ################################################################################################################

================
Comment 4 Postnikov Dmitry 2013-02-21 20:43:36 MSK
Try against:

==============
[root@mindlife pastordi]# rpm -qa | grep dracut
dracut-024-10-rosa2012.1.x86_64
[root@mindlife pastordi]#
[root@mindlife pastordi]# urpmi --replacepkgs dracut


    http://mirror.yandex.ru/rosa/rosa2012.1/repository/x86_64/media/main/updates/dracut-024-10-rosa2012.1.x86_64.rpm
устанавливается dracut-024-10-rosa2012.1.x86_64.rpm из /var/cache/urpmi/rpms                                                                      
Подготовка...                    ################################################################################################################
      1/1: dracut                ################################################################################################################
I: dracut module 'aufs-mount' will not be installed, because it's in the list to be omitted!
I: dracut module 'aufs-mount' will not be installed, because it's in the list to be omitted!
I: *** Including module: dash ***
I: *** Including module: i18n ***
I: *** Including module: plymouth ***
I: Omitting driver radeon
I: Omitting driver nouveau
I: *** Including module: kernel-modules ***
I: *** Including module: resume ***
I: *** Including module: rootfs-block ***
I: *** Including module: terminfo ***
I: *** Including module: udev-rules ***
I: *** Including module: usrmount ***
I: *** Including module: base ***
I: *** Including module: fs-lib ***
I: *** Including module: shutdown ***
I: *** Including modules done ***
I: *** Installing kernel module dependencies and firmware ***
I: *** Installing kernel module dependencies and firmware done ***
I: *** Resolving executable dependencies ***
I: *** Resolving executable dependencies done***
I: *** Stripping files ***
I: *** Stripping files done ***
I: *** Creating image file ***
I: *** Creating image file done ***
I: Wrote /boot/initrd-3.6.10-nrj-desktop-1rosa.img:
I: -rw------- 1 root root 6142795 февр. 21 20:41 /boot/initrd-3.6.10-nrj-desktop-1rosa.img
----------------------------------------------------------------------
Дополнительная информация о пакете dracut-024-10-rosa2012.1.x86_64
dracut is the default mkinitrd replacement in ROSA

If you relly want to use old mkinitrd instead of dracut run
update-alternatives --set mkinitrd /sbin/mkinitrd-mkinitrd

----------------------------------------------------------------------
[root@mindlife pastordi]#
==============
Comment 5 Alexander Burmashev 2013-02-22 00:19:40 MSK
Anyway i applied a quick fix and pushed new dracut to the repo, so that no people will have this problem. Dracut 024-11 just hit the abf repo.
Comment 6 Postnikov Dmitry 2013-02-22 11:43:39 MSK
I reinstall system Fresh.
And update:
urpmi --downloader aria2 --download-all --auto-update --skip dracut

Today try dracut-024-11 and the same...

==============
Для удовлетворения зависимостей будет установлен следующий пакет:
 Пакет                          Версия       Релиз         Dist  DEpoch Платформа 
(источник «main updates»)
 dracut                         024          11            rosa  2012.1 x86_64 
Будет освобождено 1.5КБ дискового пространства.
Будет загружено 180КБ пакетов.
Установить один пакет? (Y/n) y
    http://mirror.yandex.ru/rosa/rosa2012.1/repository/x86_64/media/main/updates/dracut-024-11-rosa2012.1.x86_64.rpm
                                                                                                                                                

устанавливается dracut-024-11-rosa2012.1.x86_64.rpm из /var/cache/urpmi/rpms
Подготовка...                    ##############################################################################################################
      1/1: dracut                ##############################################################################################################
I: *** Including module: dash ***
I: *** Including module: i18n ***
I: *** Including module: plymouth ***
I: Omitting driver radeon
I: Omitting driver nouveau
I: *** Including module: kernel-modules ***
I: *** Including module: resume ***
I: *** Including module: rootfs-block ***
I: *** Including module: terminfo ***
I: *** Including module: udev-rules ***
I: *** Including module: usrmount ***
I: *** Including module: aufs-mount ***
F: installkernel failed in module aufs-mount
error: %post(dracut-024-11.x86_64) scriptlet failed, exit status 1
----------------------------------------------------------------------
Дополнительная информация о пакете dracut-024-11-rosa2012.1.x86_64
dracut is the default mkinitrd replacement in ROSA

If you relly want to use old mkinitrd instead of dracut run
update-alternatives --set mkinitrd /sbin/mkinitrd-mkinitrd

----------------------------------------------------------------------
[root@mindlife pastordi]#
===========================
Comment 7 Aleksandr Kazantcev 2013-02-22 12:06:36 MSK
It's normal, because in /etc/dracut.conf.d/50-dracut-mandriva.conf we has

# do not include these modules
# if you really need network module just remove it form here
# also disable aufs support
omit_dracutmodules+="aufs-mount"

In that reason we will have this 'error' in scriplet.
Comment 8 Postnikov Dmitry 2013-02-22 12:16:18 MSK
It turns out that with every update dracut it had to re-update 2 times?
Comment 9 Alexander Burmashev 2013-02-22 13:39:57 MSK
Actually it turns out that for some people there are errors, that are not reproduced for other... I am still investigating the issue, but i can't reproduce it for now.